/* =================== Siblings' Selectors =================== */

/* Select the paragraphs 'p' whose parent is a 'div' 
'p' sons of 'div' */
/* div > p {
  color: red;
  background-color: yellow;
} */

/* Select the paragraphs 'p' adjacents to 'div' 
and have to have the same hierarchy level */
/* div + p {
  color: blue;
  background-color: magenta;
} */

/* Select the paragraphs 'p' whose div is sibling
and have to be after the 'div'. Not necessarily is adjacent */
/* div ~ p {
  color: red;
  background-color: yellow;
} */


/* ================== Attribute's Selectors ================== */

/* Element of attribute 'href' that beginning with 'http' */
a[href^=http] {
  color: red;
}

/* Element of attribute 'href' who finish witn .html */
a[href$=".html"] {
  color: blueviolet;
}

/* Element of attribute 'href' who finish witn .pdf */
a[href$=".pdf"] {
  background: url(../images/pdf_icon.png) no-repeat right;
  padding-right: 25px;
  color: darkred;
}


/* ================== nchild's Selectors ================== */

/* Select the elements of the power 'n' in the list */
h1:first-child {
  color: greenyellow;
}

h1:last-of-type {
  color: aquamarine;
}

li:first-child {
  color: aqua;
}

li:nth-child(2) {
  color: green;
}

/* Select the 'n' specific elements in the list */
/* li:nth-child(3n) {
  color: purple;
} */

/* Select each three elements starting for 2nd element */
/* Li:nth-child(3n+2) {
  color: purple;
} */

/* Select the elements to inverse manner starting for 4th element */
/* li:nth-child(-1n+4) {
  color: purple;
} */

/* Select the 4th element counting backwards */ 
/* li:nth-last-child(4) {
  color: purple;
} */

/* Select the elements from 7th element counting backwards */
/* li:nth-last-child(1n+7) {
  color: purple;
} */

/* Select the first and the last three elements in positive way */
li:nth-child(1n+8), li:nth-last-child(1n+8) {
  color: purple;
}